# Asterisk Project : Asterisk 12 Function_CUT

Added by wikibot , edited by wikibot on Aug 29, 2013

# CUT()

### Synopsis

Slices and dices strings, based upon a named delimiter.

### Description

Cut out information from a string ( varname), based upon a named delimiter.

### Syntax

    CUT(varname,char-delim,range-spec)

##### Arguments

- `varname` - Variable you want cut
- `char-delim` - Delimiter, defaults to `-`
- `range-spec` - Number of the field you want (1-based offset), may also be specified as a range (with `-`) or group of ranges and fields (with `&`)

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown